jQuery( function( $ ) {
	var changed        = false,
		validated      = true,
		$settings_form = $( 'form' ),
		panel          = $('#' + $('#screen-meta-links').find('.show-settings').attr('aria-controls') );

	$('input, number, email, textarea, select, checkbox, radio').change( function() {
		changed = true;
	});

	$( '.tips, .help_tip, .woocommerce-help-tip' ).tipTip( {
		'attribute': 'data-tip',
		'fadeIn': 50,
		'fadeOut': 50,
		'delay': 200,
		'keepAlive': true
	} );

	// Validate required fields.
	$settings_form.on('input validate change', 'input, number, email, textarea, select, checkbox, radio', function(e) {
		var $this          = $( this ),
			required       = $this.hasClass( 'required' ),
			validate_email = $this.hasClass( 'validate-email' ),
			event_type     = e.type;

		if ( 'input' === event_type ) {
			$this.removeClass( 'validated' );
		}

		if ( 'validate' === event_type || 'change' === event_type ) {

			if ( required ) {
				if ( 'checkbox' === $this.attr( 'type' ) && ! $this.is( ':checked' ) ) {
					$this.removeClass( 'validated' ).addClass( 'invalid invalid-required-field' );
					validated = false;
				} else if ( $this.val().length == 0 ) {
					$this.removeClass( 'validated' ).addClass( 'invalid invalid-required-field' );
					validated = false;	
				}
			}

			if ( validate_email ) {
				if ( $this.val() ) {
					var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);

					if ( ! pattern.test( $this.val() ) ) {
						$this.removeClass( 'validated' ).addClass( 'invalid invalid-email' );
						validated = false;
					}
				}
			}

			if ( validated ) {
				$this.removeClass( 'invalid invalid-required-field invalid-email' ).addClass( 'validated' );
			}
		}
	});

	// Clears any warnings previously set or warns the user of fields required.
	$('.submit :input').click( function(e) {
		if ( ! validated ) {
			e.preventDefault();
		} else {
			changed = false;
		}
	});
});
